<?xml version="1.0" encoding="utf-8"?>

<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	android:layout_width="match_parent"
	android:paddingBottom="16dp"
	android:layout_height="match_parent"
	xmlns:tool="http://schemas.android.com/tools">

	<com.google.android.material.bottomsheet.BottomSheetDragHandleView
		android:id="@+id/drag_handle"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		app:layout_constraintTop_toTopOf="parent" />

	<com.google.android.material.textview.MaterialTextView
		android:id="@+id/coordinates"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginTop="8dp"
		android:textAlignment="center"
		android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/drag_handle"
		tool:text="17.151864867, 52.215648641" />

	<androidx.constraintlayout.helper.widget.Flow
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:layout_marginTop="16dp"
		app:constraint_referenced_ids="use_as_origin,use_as_destination"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@id/coordinates" />

	<Button
		android:id="@+id/use_as_origin"
		style="@style/Widget.Material3.Button.Icon"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:text="@string/use_as_origin"
		app:icon="@drawable/origin" />

	<Button
		android:id="@+id/use_as_destination"
		style="@style/Widget.Material3.Button.Icon"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:text="@string/use_as_destination"
		app:icon="@drawable/destination" />

</androidx.constraintlayout.widget.ConstraintLayout>